<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.system.oauthuser.mapper.UserOauthMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="userOauthResultMap" type="org.springblade.system.oauthuser.entity.UserOauth">
        <id column="id" property="id"/>
        <result column="uuid" property="uuid"/>
        <result column="user_id" property="userId"/>
        <result column="username" property="username"/>
        <result column="nickname" property="nickname"/>
        <result column="avatar" property="avatar"/>
        <result column="blog" property="blog"/>
        <result column="company" property="company"/>
        <result column="location" property="location"/>
        <result column="email" property="email"/>
        <result column="remark" property="remark"/>
        <result column="gender" property="gender"/>
        <result column="source" property="source"/>
    </resultMap>


    <select id="selectUserOauthPage" resultMap="userOauthResultMap">
        select * from blade_user_oauth where is_deleted = 0
    </select>

</mapper>
